Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1497303 - X no longer activates hotplugged monitors if started without one
Summary: X no longer activates hotplugged monitors if started without one
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
Jana Heves
URL:
Whiteboard:
Depends On:
Blocks: 1571842 1630981
TreeView+ depends on / blocked
 
Reported: 2017-09-29 17:05 UTC by Jacob Hunt
Modified: 2021-06-10 13:09 UTC (History)
14 users (show)

Fixed In Version: mutter-3.28.3-4.el7
Doc Type: Known Issue
Doc Text:
*GDM* does not activate hotplugged monitors When a machine is booted without a monitor connected, the *GNOME Display Manager (GDM)* screen remains deactivated when a monitor is plugged in. As a workaround, kill *GDM* while the monitor is plugged in by running: # systemctl restart gdm.service Alternatively, use the *xrandr* utility to activate the monitor.
Clone Of:
: 1630981 (view as bug list)
Environment:
Last Closed: 2018-10-30 10:19:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:20:48 UTC

Description Jacob Hunt 2017-09-29 17:05:06 UTC
Description of problem:

We've noticed that in RHEL 7.4, when a machine is booted without a monitor connected (as nearly all of our workstations do), the gdm/X screen remains deactivated when a monitor is connected. X sees that the monitor has connected, and it's listed in xrandr's output, but in the past the monitor mode would get activated automatically.

Version-Release number of selected component (if applicable):

mutter-3.22.3-11.el7.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Boot system without monitor
2. Attach monitor

Actual results:

The monitor isn't activated

Expected results:

For the monitor to be correctly recognized and activated.

Comment 42 Ray Strode [halfline] 2018-09-19 15:59:22 UTC
i think the patch on bug 1618632 should fix this, moving to POST

Comment 51 errata-xmlrpc 2018-10-30 10:19:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.